package cn.ysk.cashier.dto.product;

import lombok.NonNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 出库入库Dto
 */

public class OutAndOnDto {
    /**
     * 批号
     */
    private String batchNumber;
    /**
     * 商品list
     */
    private List<Object> list;
    /**
     * 实收金额
     */
    private BigDecimal paidAmount;
    /**
     * 实收时间
     */
    private Long paidAt;
    /**
     * 供货商id
     */
    private String purveyorId;
    /**
     * 供货商名称
     */
    private String purveyorName;

    /**
     * 备注
     */
    private String remark;
    /**
     * 出库时间
     */
    private Long time;
    /**
     * 应收金额
     */
    private BigDecimal totalAmount;
    @NonNull
    private String type;
    @NonNull
    private String shopId;

    private String isImport="";

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public List<Object> getList() {
        return list;
    }

    public void setList(List<Object> list) {
        this.list = list;
    }

    public BigDecimal getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(BigDecimal paidAmount) {
        this.paidAmount = paidAmount;
    }

    public Long getPaidAt() {
        return paidAt;
    }

    public void setPaidAt(Long paidAt) {
        this.paidAt = paidAt;
    }

    public String getPurveyorId() {
        return purveyorId;
    }

    public void setPurveyorId(String purveyorId) {
        this.purveyorId = purveyorId;
    }

    public String getPurveyorName() {
        return purveyorName;
    }

    public void setPurveyorName(String purveyorName) {
        this.purveyorName = purveyorName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getIsImport() {
        return isImport;
    }

    public void setIsImport(String isImport) {
        this.isImport = isImport;
    }
}
